### Method

# ICalGLib Component get_span

since: 1.0

#### Declaration [src]

    ICalTimeSpan*
    i_cal_component_get_span (
      ICalComponent* comp
    )

#### Description [src]

For VEVENT, VTODO, VJOURNAL and VTIMEZONE: reports the start and end times of an event in UTC.

Available since: 1.0

#### Return value

Type: `ICalTimeSpan`

A `ICalTimeSpan`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.